gnome-shell crashed with SIGTRAP in _g_log_abort() from g_log_default_handler() from default_log_handler(message="Connection to xwayland lost") from g_logv() from g_log() from <bug 1505409>

Bug #1748450 reported by Donald L Walters on 2018-02-09
This bug affects 369 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
High
Unassigned
Bionic
High
Unassigned
mutter (Ubuntu)
High
Unassigned
Bionic
High
Unassigned

Bug Description

[Impact]

* Xwayland is failing frequently (not crashing), which triggers a crash in gnome-shell because gnome-shell doesn't know how to survive after Xwayland has reset itself.

* The frequent gnome-shell crashes create frequent problem reports and annoying dialogs for users, after they log in to an apparently working gnome-shell.

* This affects Xorg sessions too, because the gdm login screen itself is a Wayland session. And Xorg users will see the problem dialog after they have logged into a Xorg session.

* The fix simply converts the crash into a silent exit (as decided by Gnome upstream). This avoids the mountain of crash reports and annoying error dialogs at least. It does not fix the root causes that remain in Xwayland, but this is considered acceptable because there really isn't a bug in gnome-shell here other than it doesn't know how to survive without a connection to Xwayland.

* For users of Xorg sessions, like bionic default, this is a full fix as Xorg users will never get an Xwayland instance after logging in. And hence the Xwayland bugs are irrelevant.

[Test Case]

* Just install bionic, use it lightly and reboot a few times.

* Observe crash files are left in /var/crash and problem report dialogs after logging in.

[Regression Potential]

Medium. The fix does not really change the structure of the existing error handling, only changes it from a core dump into a silent exit. For Xorg users this should be invisible as the affected login screen restarts automatically.

[Other Info]

This is a whole class of gnome-shell crash which includes bug 1505409, bug 1748450 and bug 1556601. All three should be considered the same crash for the sake of this SRU. Just don't mark them as duplicates of each other
because they are all still collecting duplicates of their own.

---------

*** This is a duplicate of bug 1505409, but is being kept separate so as to automatically collect duplicate reports since the stacktrace signature has changed recently. Any resolution and discussion should occur in bug 1505409. ***

See also: https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95

ProblemType: Crash
DistroRelease: Ubuntu 18.04
Package: gnome-shell 3.26.2-0ubuntu2
ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
Uname: Linux 4.13.0-33-generic x86_64
ApportVersion: 2.20.8-0ubuntu8
Architecture: amd64
CurrentDesktop: GNOME-Greeter:GNOME
Date: Thu Feb 8 23:50:23 2018
DisplayManager: gdm3
ExecutablePath: /usr/bin/gnome-shell
GsettingsChanges:

InstallationDate: Installed on 2016-03-21 (690 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
ProcCmdline: /usr/bin/gnome-shell
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/false
Signal: 5
SourcePackage: gnome-shell
StacktraceTop:
 () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
 _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
 _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
 XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
 () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
Title: gnome-shell crashed with signal 5
UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
UserGroups:

Donald L Walters (dlwalters) wrote :

StacktraceTop:
 _g_log_abort (breakpoint=1) at ../../../../glib/gmessages.c:554
 g_log_default_handler (log_domain=<optimized out>, log_level=<optimized out>, message=<optimized out>, unused_data=<optimized out>) at ../../../../glib/gmessages.c:3051
 default_log_handler (log_domain=log_domain@entry=0x7f8f85a0db93 "mutter", log_level=log_level@entry=6, message=message@entry=0x7f8f60061600 "Connection to xwayland lost", data=data@entry=0x0) at ../src/main.c:315
 g_logv (log_domain=0x7f8f85a0db93 "mutter", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7ffc6c162f90) at ../../../../glib/gmessages.c:1341
 g_log (log_domain=log_domain@entry=0x7f8f85a0db93 "mutter", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7f8f85a1eaf0 "Connection to xwayland lost") at ../../../../glib/gmessages.c:1403

Changed in gnome-shell (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :

*** This is a duplicate of bug 1505409, but is being kept separate so as to automatically collect duplicate reports since the stacktrace signature has changed recently. Any resolution and discussion should occur in bug 1505409. ***

See also: https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95

information type: Private → Public
summary: - gnome-shell crashed with signal 5
+ gnome-shell crashed with SIGTRAP in _g_log_abort() from
+ g_log_default_handler() from default_log_handler(message="Connection to
+ xwayland lost") from g_logv() from g_log() from <bug 1505409>
description: updated
Changed in gnome-shell (Ubuntu):
importance: Medium → High
status: Confirmed → Triaged
description: updated
tags: added: bugpattern-needed
tags: added: artful
Knarf (frankschindler) wrote :

gdm3 no mouse function but move.

gnome Displaysystems not boot and then boot no mouse function but move.

lightdm goes into Automatic login. why? Have changed this manually.

gdm3 is Ubuntu adjusted, why. But no mouse function to change this, no click possible.

Daniel van Vugt (vanvugt) wrote :

Knarf, that sounds possibly unrelated to this bug. Please log a new bug for that.

tags: added: rls-bb-incoming
Daniel van Vugt (vanvugt) wrote :

We hope the fix for bug 1746874 (released last night) will help to figure this out.

Sebastien Bacher (seb128) wrote :

Changing to rls-bb-notfixing, that's wayland specific which is not our default session and lacks info, we can target the xwayland issue if we get proper reports that tell us more about the bug

tags: added: rls-bb-notfixing
removed: rls-bb-incoming

Thank you.

On Tue, 2018-03-27 at 08:41 +0000, Daniel van Vugt wrote:
> We hope the fix for bug 1746874 (released last night) will help to
> figure this out.
>

Daniel van Vugt (vanvugt) wrote :

Thanks Seb. I was about to remove that tag for the same reason.

Amr Ibrahim (amribrahim1987) wrote :

My bug is a duplicate, but I don't use Wayland.

I'm readding rls-bb-incoming. Something looks wrong here, 1. due to the comment of Amr Ibrahim saying he was not using wayland 2. Wayland is not the default on 18.04 3. Several reports are not tagged with wayland-session, so these users were unliky running wayland.

tags: added: rls-bb-incoming
Amr Ibrahim (amribrahim1987) wrote :

There is a mix of duplicates with and without Wayland. Mine was without Wayland.

I continue to see this problem on a daily basis, often after a resume
from suspend, I am not running Wayland, and this crashes my
gnome-session half the time, so something there is some confusion/bug
somewhere.  This morning's crash resulted in message from xorg-server so
I let apport file a bug against that package too (#1760123).

On 03/30/2018 06:38 AM, Amr Ibrahim wrote:
> There is a mix of duplicates with and without Wayland. Mine was without
> Wayland.
>

--
Martin Weinberg
6 Grass Hill Rd
West Whately, MA
010039

Daniel van Vugt (vanvugt) wrote :

This bug is indeed meant to be wayland only. Which duplicates are from Xorg?

Note that the login screen (gdm3) is using wayland by default. So your system may report this crash even if you only use Xorg sessions.

swadesh Parasher (swadesh) wrote :

Yes, at least the bug I reported was from Ubuntu 18.04 which doesn't use Wayland by default.

Per-Inge (per-inge-hallin) wrote :

I also get this in Xorg.
My duplicate is #Bug 1760448

2018-04-03 5:40 GMT+02:00 swadesh Parasher <email address hidden>:

> Yes, at least the bug I reported was from Ubuntu 18.04 which doesn't use
> Wayland by default.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1760448).
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_default_handler() from default_log_handler(message="Connection
> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> Status in gnome-shell package in Ubuntu:
> Triaged
>
> Bug description:
> *** This is a duplicate of bug 1505409, but is being kept separate so
> as to automatically collect duplicate reports since the stacktrace
> signature has changed recently. Any resolution and discussion should
> occur in bug 1505409. ***
>
> See also:
> https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988
> f78ecd0f95
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.26.2-0ubuntu2
> ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
> Uname: Linux 4.13.0-33-generic x86_64
> ApportVersion: 2.20.8-0ubuntu8
> Architecture: amd64
> CurrentDesktop: GNOME-Greeter:GNOME
> Date: Thu Feb 8 23:50:23 2018
> DisplayManager: gdm3
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2016-03-21 (690 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64
> (20160307)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/false
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
> _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+
> bug/1748450/+subscriptions
>

--
Skickat från min nya mailadress

Daniel van Vugt (vanvugt) wrote :

Bug 1760448 is from the login screen:
"CurrentDesktop: GNOME-Greeter:GNOME"

So it is Wayland, not Xorg.

I checked tens of duplicates and all the crashes happen from the login screen (XDG_CURRENT_DESKTOP=GNOME-Greeter:GNOME)

Daniel van Vugt (vanvugt) wrote :

Yeah and that's actually good news.

I had feared the switch to Xorg by default would mean this bug wouldn't happen often enough for us to collect good data in 18.04 (since the related apport bug fix last week). But it turns out this will happen plenty often enough still.

Thomas (tomlemmens53) wrote :

Xorg

________________________________
Van: <email address hidden> <email address hidden> namens Daniel van Vugt <email address hidden>
Verzonden: dinsdag 3 april 2018 3:52
Aan: <email address hidden>
Onderwerp: [Bug 1748450] Re: gnome-shell crashed with SIGTRAP in _g_log_abort() from g_log_default_handler() from default_log_handler(message="Connection to xwayland lost") from g_logv() from g_log() from <bug 1505409>

This bug is indeed meant to be wayland only. Which duplicates are from
Xorg?

Note that the login screen (gdm3) is using wayland by default. So your
system may report this crash even if you only use Xorg sessions.

--
You received this bug notification because you are subscribed to a
duplicate bug report (1759788).
https://bugs.launchpad.net/bugs/1748450

Title:
  gnome-shell crashed with SIGTRAP in _g_log_abort() from
  g_log_default_handler() from default_log_handler(message="Connection
  to xwayland lost") from g_logv() from g_log() from <bug 1505409>

Status in gnome-shell package in Ubuntu:
  Triaged

Bug description:
  *** This is a duplicate of bug 1505409, but is being kept separate so
  as to automatically collect duplicate reports since the stacktrace
  signature has changed recently. Any resolution and discussion should
  occur in bug 1505409. ***

  See also:
  https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95

  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: gnome-shell 3.26.2-0ubuntu2
  ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
  Uname: Linux 4.13.0-33-generic x86_64
  ApportVersion: 2.20.8-0ubuntu8
  Architecture: amd64
  CurrentDesktop: GNOME-Greeter:GNOME
  Date: Thu Feb 8 23:50:23 2018
  DisplayManager: gdm3
  ExecutablePath: /usr/bin/gnome-shell
  GsettingsChanges:

  InstallationDate: Installed on 2016-03-21 (690 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
  ProcCmdline: /usr/bin/gnome-shell
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=<set>
   LANG=en_US.UTF-8
   SHELL=/bin/false
  Signal: 5
  SourcePackage: gnome-shell
  StacktraceTop:
   () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
   _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
  Title: gnome-shell crashed with signal 5
  UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
  UserGroups:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1748450/+subscriptions

Daniel van Vugt (vanvugt) wrote :

No, yours crashed in Wayland (the login screen) too:

"CurrentDesktop: GNOME-Greeter:GNOME"

Thomas (tomlemmens53) wrote :

It seems there is a bug in the choices for the Display Manager. I am sure I did login (as always) in Xorg.

________________________________
Van: <email address hidden> <email address hidden> namens Daniel van Vugt <email address hidden>
Verzonden: dinsdag 3 april 2018 9:43
Aan: <email address hidden>
Onderwerp: [Bug 1748450] Re: gnome-shell crashed with SIGTRAP in _g_log_abort() from g_log_default_handler() from default_log_handler(message="Connection to xwayland lost") from g_logv() from g_log() from <bug 1505409>

No, yours crashed in Wayland (the login screen) too:

"CurrentDesktop: GNOME-Greeter:GNOME"

--
You received this bug notification because you are subscribed to a
duplicate bug report (1759788).
https://bugs.launchpad.net/bugs/1748450

Title:
  gnome-shell crashed with SIGTRAP in _g_log_abort() from
  g_log_default_handler() from default_log_handler(message="Connection
  to xwayland lost") from g_logv() from g_log() from <bug 1505409>

Status in gnome-shell package in Ubuntu:
  Triaged

Bug description:
  *** This is a duplicate of bug 1505409, but is being kept separate so
  as to automatically collect duplicate reports since the stacktrace
  signature has changed recently. Any resolution and discussion should
  occur in bug 1505409. ***

  See also:
  https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95

  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: gnome-shell 3.26.2-0ubuntu2
  ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
  Uname: Linux 4.13.0-33-generic x86_64
  ApportVersion: 2.20.8-0ubuntu8
  Architecture: amd64
  CurrentDesktop: GNOME-Greeter:GNOME
  Date: Thu Feb 8 23:50:23 2018
  DisplayManager: gdm3
  ExecutablePath: /usr/bin/gnome-shell
  GsettingsChanges:

  InstallationDate: Installed on 2016-03-21 (690 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
  ProcCmdline: /usr/bin/gnome-shell
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=<set>
   LANG=en_US.UTF-8
   SHELL=/bin/false
  Signal: 5
  SourcePackage: gnome-shell
  StacktraceTop:
   () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
   _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
  Title: gnome-shell crashed with signal 5
  UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
  UserGroups:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1748450/+subscriptions

Thomas (tomlemmens53) wrote :

Of course I meant 'X-server' (not ' 'display manager')

________________________________
Van: <email address hidden> <email address hidden> namens Daniel van Vugt <email address hidden>
Verzonden: dinsdag 3 april 2018 9:43
Aan: <email address hidden>
Onderwerp: [Bug 1748450] Re: gnome-shell crashed with SIGTRAP in _g_log_abort() from g_log_default_handler() from default_log_handler(message="Connection to xwayland lost") from g_logv() from g_log() from <bug 1505409>

No, yours crashed in Wayland (the login screen) too:

"CurrentDesktop: GNOME-Greeter:GNOME"

--
You received this bug notification because you are subscribed to a
duplicate bug report (1759788).
https://bugs.launchpad.net/bugs/1748450

Title:
  gnome-shell crashed with SIGTRAP in _g_log_abort() from
  g_log_default_handler() from default_log_handler(message="Connection
  to xwayland lost") from g_logv() from g_log() from <bug 1505409>

Status in gnome-shell package in Ubuntu:
  Triaged

Bug description:
  *** This is a duplicate of bug 1505409, but is being kept separate so
  as to automatically collect duplicate reports since the stacktrace
  signature has changed recently. Any resolution and discussion should
  occur in bug 1505409. ***

  See also:
  https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95

  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: gnome-shell 3.26.2-0ubuntu2
  ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
  Uname: Linux 4.13.0-33-generic x86_64
  ApportVersion: 2.20.8-0ubuntu8
  Architecture: amd64
  CurrentDesktop: GNOME-Greeter:GNOME
  Date: Thu Feb 8 23:50:23 2018
  DisplayManager: gdm3
  ExecutablePath: /usr/bin/gnome-shell
  GsettingsChanges:

  InstallationDate: Installed on 2016-03-21 (690 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
  ProcCmdline: /usr/bin/gnome-shell
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=<set>
   LANG=en_US.UTF-8
   SHELL=/bin/false
  Signal: 5
  SourcePackage: gnome-shell
  StacktraceTop:
   () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
   _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
   () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
  Title: gnome-shell crashed with signal 5
  UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
  UserGroups:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1748450/+subscriptions

Daniel van Vugt (vanvugt) wrote :

No, the login screen is using Wayland. You don't get a choice. You only choose what gets used after the login screen.

Daniel van Vugt (vanvugt) wrote :

Actually the login screen is using eglnative, which has Xwayland running in the background. Same as a Wayland session.

ricsdeol (ricardo.s.o.leite) wrote :

I usually use Xorg and sometimes crash when started, but with no visual
effect. I tried to use wayland but gdm restarts for no apparent reason. I
will try collect log about this.

[image: --]

Ricardo Siqueira Oliveira Leite
Engenheiro de Software
Campinas - SP
[image: https://]about.me/ricsdeol
<https://about.me/ricsdeol?promo=email_sig&utm_source=email_sig&utm_medium=email_sig&utm_campaign=external_links>

2018-04-03 5:52 GMT-03:00 Daniel van Vugt <email address hidden>:

> Actually the login screen is using eglnative, which has Xwayland running
> in the background. Same as a Wayland session.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1759869).
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_default_handler() from default_log_handler(message="Connection
> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+
> bug/1748450/+subscriptions
>

tags: removed: rls-bb-notfixing
Daniel van Vugt (vanvugt) wrote :

Nobody needs to provide more information here, thanks.

Will Cooke (willcooke) on 2018-04-10
Changed in gnome-shell (Ubuntu Bionic):
assignee: nobody → Jean-Baptiste Lallement (jibel)
tags: removed: rls-bb-incoming
R. Becke (subscribe-becke) wrote :

I had the same issue with Ubuntu 18.40 (final Beta) and HP EliteBook 850 G5 and reported the bug 1762814 and the solution (or rather workaround) for me was to blacklist amdgpu and this gnome shell crash, all the boot errors and suspend issues were gone.

How to blacklist amdgpu is described here: https://unix.stackexchange.com/questions/360709/how-to-blacklist-amdgpu

sudo vi /etc/modprobe.d/blacklist.conf
...
blacklist amdgpu
...

sudo update-initramfs -u

I've as well made my comment on this here: https://askubuntu.com/questions/769581/ubuntu-16-04-not-waking-up-after-suspend-on-hp-elitebook-8440-and-spamming-kern/1023798#1023798

Per-Inge (per-inge-hallin) wrote :

I always get this bug when I start with an Xorg session. I started with a Wayland session and didn't get the bug.

Daniel van Vugt (vanvugt) wrote :

This report:

https://errors.ubuntu.com/problem/7576bbf83cb88a0b3a870e1371dd86416b23c4b3

suggests the wave of unreadable stack traces this week was perhaps due to an update to glib2.0, because:

/lib/x86_64-linux-gnu/libglib-2.0.so.0.5600.0 (deleted)

So they are almost certainly all duplicates of this bug, unreadable due to the upgrade procedure of glib2.0. The good news is that the wave should stop after everyone has upgraded.

Jeroen Donkervoort (jpd68) wrote :

Same here, after I read this message, I changed my login settings to Ubuntu
on Wayland and never got this error again

2018-04-14 8:38 GMT+02:00 Per-Inge <email address hidden>:

> I always get this bug when I start with an Xorg session. I started with
> a Wayland session and didn't get the bug.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1752815).
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_default_handler() from default_log_handler(message="Connection
> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> Status in gnome-shell package in Ubuntu:
> Triaged
> Status in gnome-shell source package in Bionic:
> Triaged
>
> Bug description:
> *** This is a duplicate of bug 1505409, but is being kept separate so
> as to automatically collect duplicate reports since the stacktrace
> signature has changed recently. Any resolution and discussion should
> occur in bug 1505409. ***
>
> See also:
> https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988
> f78ecd0f95
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.26.2-0ubuntu2
> ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
> Uname: Linux 4.13.0-33-generic x86_64
> ApportVersion: 2.20.8-0ubuntu8
> Architecture: amd64
> CurrentDesktop: GNOME-Greeter:GNOME
> Date: Thu Feb 8 23:50:23 2018
> DisplayManager: gdm3
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2016-03-21 (690 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64
> (20160307)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/false
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
> _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+
> bug/1748450/+subscriptions
>

Jose Rosal (jsrosalg) wrote :

Hello Jeroen, thanks for your response, but it does not work for me.

When I start my Ubuntu with wyland, and it happens since 17.10, some
applications like vokoscreen, touchpad indicator does not work.

Vokoscreen does not capture video (yes for audio), and touchpad
indicator does not start.

Thanks in advance for your time.

On 04/16/2018 08:42 AM, Jeroen Donkervoort wrote:
> Same here, after I read this message, I changed my login settings to Ubuntu
> on Wayland and never got this error again
>
> 2018-04-14 8:38 GMT+02:00 Per-Inge <email address hidden>:
>
>> I always get this bug when I start with an Xorg session. I started with
>> a Wayland session and didn't get the bug.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1752815).
>> https://bugs.launchpad.net/bugs/1748450
>>
>> Title:
>> gnome-shell crashed with SIGTRAP in _g_log_abort() from
>> g_log_default_handler() from default_log_handler(message="Connection
>> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>>
>> Status in gnome-shell package in Ubuntu:
>> Triaged
>> Status in gnome-shell source package in Bionic:
>> Triaged
>>
>> Bug description:
>> *** This is a duplicate of bug 1505409, but is being kept separate so
>> as to automatically collect duplicate reports since the stacktrace
>> signature has changed recently. Any resolution and discussion should
>> occur in bug 1505409. ***
>>
>> See also:
>> https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988
>> f78ecd0f95
>>
>> ProblemType: Crash
>> DistroRelease: Ubuntu 18.04
>> Package: gnome-shell 3.26.2-0ubuntu2
>> ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
>> Uname: Linux 4.13.0-33-generic x86_64
>> ApportVersion: 2.20.8-0ubuntu8
>> Architecture: amd64
>> CurrentDesktop: GNOME-Greeter:GNOME
>> Date: Thu Feb 8 23:50:23 2018
>> DisplayManager: gdm3
>> ExecutablePath: /usr/bin/gnome-shell
>> GsettingsChanges:
>>
>> InstallationDate: Installed on 2016-03-21 (690 days ago)
>> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64
>> (20160307)
>> ProcCmdline: /usr/bin/gnome-shell
>> ProcEnviron:
>> PATH=(custom, no user)
>> XDG_RUNTIME_DIR=<set>
>> LANG=en_US.UTF-8
>> SHELL=/bin/false
>> Signal: 5
>> SourcePackage: gnome-shell
>> StacktraceTop:
>> () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
>> _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
>> _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
>> XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
>> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
>> Title: gnome-shell crashed with signal 5
>> UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
>> UserGroups:
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+
>> bug/1748450/+subscriptions
>>

--
Saludos,

José Rosal Gamboa

JSRosalG Fotografía

+34 620 897 588

Daniel van Vugt (vanvugt) wrote :

*** This is a duplicate of bug 1505409, but is being kept separate so as to automatically collect duplicate reports since the stack trace signature has changed recently. Any resolution and discussion should occur in bug 1505409. ***

I have a similar problem https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1765461
with Ubuntu 18.04 and Gnome 3.28.1
corrado@corrado-bb-0418:~$ inxi -Fx
System: Host: corrado-bb-0418 Kernel: 4.15.0-15-generic x86_64 bits: 64 gcc: 7.3.0
           Desktop: Gnome 3.28.1 (Gtk 3.22.29-3ubuntu1) Distro: Ubuntu Bionic Beaver (development branch)

description: updated
description: updated
description: updated
description: updated
Changed in gnome-shell (Ubuntu Bionic):
assignee: Jean-Baptiste Lallement (jibel) → nobody
Saimon (slovell) wrote :

I no longer get this error after update.

On Sun, Apr 15, 2018, 11:56 PM Daniel van Vugt <
<email address hidden>> wrote:

> This report:
>
> https://errors.ubuntu.com/problem/7576bbf83cb88a0b3a870e1371dd86416b23c4b3
>
> suggests the wave of unreadable stack traces this week was perhaps due
> to an update to glib2.0, because:
>
> /lib/x86_64-linux-gnu/libglib-2.0.so.0.5600.0 (deleted)
>
> So they are almost certainly all duplicates of this bug, unreadable due
> to the upgrade procedure of glib2.0. The good news is that the wave
> should stop after everyone has upgraded.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1763917).
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_default_handler() from default_log_handler(message="Connection
> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> Status in gnome-shell package in Ubuntu:
> Triaged
> Status in gnome-shell source package in Bionic:
> Triaged
>
> Bug description:
> *** This is a duplicate of bug 1505409, but is being kept separate so
> as to automatically collect duplicate reports since the stacktrace
> signature has changed recently. Any resolution and discussion should
> occur in bug 1505409. ***
>
> See also:
>
> https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.26.2-0ubuntu2
> ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
> Uname: Linux 4.13.0-33-generic x86_64
> ApportVersion: 2.20.8-0ubuntu8
> Architecture: amd64
> CurrentDesktop: GNOME-Greeter:GNOME
> Date: Thu Feb 8 23:50:23 2018
> DisplayManager: gdm3
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2016-03-21 (690 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64
> (20160307)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/false
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
> _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
> UserGroups:
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1748450/+subscriptions
>

Donald L Walters (dlwalters) wrote :

fb thx 73 bk
de w9dki 40

Sent from my iPhone

> On Apr 2, 2018, at 23:22, Jean-Baptiste Lallement <email address hidden> wrote:
>
> I checked tens of duplicates and all the crashes happen from the login
> screen (XDG_CURRENT_DESKTOP=GNOME-Greeter:GNOME)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_default_handler() from default_log_handler(message="Connection
> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> Status in gnome-shell package in Ubuntu:
> Triaged
>
> Bug description:
> *** This is a duplicate of bug 1505409, but is being kept separate so
> as to automatically collect duplicate reports since the stacktrace
> signature has changed recently. Any resolution and discussion should
> occur in bug 1505409. ***
>
> See also:
> https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.26.2-0ubuntu2
> ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
> Uname: Linux 4.13.0-33-generic x86_64
> ApportVersion: 2.20.8-0ubuntu8
> Architecture: amd64
> CurrentDesktop: GNOME-Greeter:GNOME
> Date: Thu Feb 8 23:50:23 2018
> DisplayManager: gdm3
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2016-03-21 (690 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/false
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
> _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1748450/+subscriptions
>

Donald L Walters (dlwalters) wrote :

fb thx try to fix it...if possible using cinnamon now and had to shift to a macbook pro with homebrew and xcode. slmist a debian (from my dson Derek Walters the IphoneX chief engineering team leader🙂
guess who gets the Msc OS “beta” version of new software patches for testing ...me 🤣

btu de w9dki 40

Sent from my iPhoneX+(beta)

> On Apr 2, 2018, at 23:54, Daniel van Vugt <email address hidden> wrote:
>
> Yeah and that's actually good news.
>
> I had feared the switch to Xorg by default would mean this bug wouldn't
> happen often enough for us to collect good data in 18.04 (since the
> related apport bug fix last week). But it turns out this will happen
> plenty often enough still.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_default_handler() from default_log_handler(message="Connection
> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> Status in gnome-shell package in Ubuntu:
> Triaged
>
> Bug description:
> *** This is a duplicate of bug 1505409, but is being kept separate so
> as to automatically collect duplicate reports since the stacktrace
> signature has changed recently. Any resolution and discussion should
> occur in bug 1505409. ***
>
> See also:
> https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.26.2-0ubuntu2
> ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
> Uname: Linux 4.13.0-33-generic x86_64
> ApportVersion: 2.20.8-0ubuntu8
> Architecture: amd64
> CurrentDesktop: GNOME-Greeter:GNOME
> Date: Thu Feb 8 23:50:23 2018
> DisplayManager: gdm3
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2016-03-21 (690 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/false
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
> _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1748450/+subscriptions
>

Donald L Walters (dlwalters) wrote :

fb keep at it
btu de w9dki / w9gty 40

Sent from my iPhoneX+(beta)

> On Apr 2, 2018, at 23:54, Daniel van Vugt <email address hidden> wrote:
>
> Yeah and that's actually good news.
>
> I had feared the switch to Xorg by default would mean this bug wouldn't
> happen often enough for us to collect good data in 18.04 (since the
> related apport bug fix last week). But it turns out this will happen
> plenty often enough still.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_default_handler() from default_log_handler(message="Connection
> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> Status in gnome-shell package in Ubuntu:
> Triaged
>
> Bug description:
> *** This is a duplicate of bug 1505409, but is being kept separate so
> as to automatically collect duplicate reports since the stacktrace
> signature has changed recently. Any resolution and discussion should
> occur in bug 1505409. ***
>
> See also:
> https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.26.2-0ubuntu2
> ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
> Uname: Linux 4.13.0-33-generic x86_64
> ApportVersion: 2.20.8-0ubuntu8
> Architecture: amd64
> CurrentDesktop: GNOME-Greeter:GNOME
> Date: Thu Feb 8 23:50:23 2018
> DisplayManager: gdm3
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2016-03-21 (690 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/false
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
> _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1748450/+subscriptions
>

Donald L Walters (dlwalters) wrote :
Download full text (4.9 KiB)

fb
I will try todo it in gcc / inline machine language if you can’t find the problem if you like

de w9dki / w9gty 40

Sent from my iPhoneX+(beta)

> On Apr 3, 2018, at 00:29, Thomas <email address hidden> wrote:
>
> Xorg
>
>
> ________________________________
> Van: <email address hidden> <email address hidden> namens Daniel van Vugt <email address hidden>
> Verzonden: dinsdag 3 april 2018 3:52
> Aan: <email address hidden>
> Onderwerp: [Bug 1748450] Re: gnome-shell crashed with SIGTRAP in _g_log_abort() from g_log_default_handler() from default_log_handler(message="Connection to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> This bug is indeed meant to be wayland only. Which duplicates are from
> Xorg?
>
> Note that the login screen (gdm3) is using wayland by default. So your
> system may report this crash even if you only use Xorg sessions.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1759788).
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_default_handler() from default_log_handler(message="Connection
> to xwayland lost") from g_logv() from g_log() from <bug 1505409>
>
> Status in gnome-shell package in Ubuntu:
> Triaged
>
> Bug description:
> *** This is a duplicate of bug 1505409, but is being kept separate so
> as to automatically collect duplicate reports since the stacktrace
> signature has changed recently. Any resolution and discussion should
> occur in bug 1505409. ***
>
> See also:
> https://errors.ubuntu.com/problem/8ef857b2fe07d60742cd02d7d8f988f78ecd0f95
>
> ProblemType: Crash
> DistroRelease: Ubuntu 18.04
> Package: gnome-shell 3.26.2-0ubuntu2
> ProcVersionSignature: Ubuntu 4.13.0-33.36-generic 4.13.13
> Uname: Linux 4.13.0-33-generic x86_64
> ApportVersion: 2.20.8-0ubuntu8
> Architecture: amd64
> CurrentDesktop: GNOME-Greeter:GNOME
> Date: Thu Feb 8 23:50:23 2018
> DisplayManager: gdm3
> ExecutablePath: /usr/bin/gnome-shell
> GsettingsChanges:
>
> InstallationDate: Installed on 2016-03-21 (690 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/false
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libmutter-1.so.0
> _XIOError () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XEventsQueued () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XPending () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: Upgraded to bionic on 2018-02-08 (0 days ago)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1748450/+subscriptions
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1748450
>
> Title:
> gnome-shell crashed with SIGTRAP in _g_log_abort() from
> g_log_d...

Read more...

Daniel van Vugt (vanvugt) wrote :

mutter (3.28.1-1ubuntu1) bionic; urgency=medium

  * Add xwayland-use-g_autoptr-for-GError-in-xserver_died.patch,
    xwayland-Don-t-abort-if-Xwayland-crashes.patch:
    - Cherry picked from upstream, to reduce noise of mutter on crashes
      which are actually caused by XWayland (LP: #1748450)

 -- Marco Trevisan (Treviño) <email address hidden> Mon, 23 Apr 2018 10:46:57 -0500

Changed in gnome-shell (Ubuntu Bionic):
status: Triaged → Fix Released
Changed in mutter (Ubuntu Bionic):
status: New → Fix Released
importance: Undecided → High
Changed in gnome-shell (Ubuntu Bionic):
status: Fix Released → Invalid
tags: added: cosmic
Daniel van Vugt (vanvugt) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers